Subject: [alsa-devel] [PATCH] ASoC: sgtl5000: fix power on/off of MIC bias

From: [email-masked] (Mark Brown)
Date: Wed, 28 Mar 2012 15:36:50 +0100

On Wed, Mar 28, 2012 at 10:18:14PM +0800, Shawn Guo wrote:
> On Wed, Mar 28, 2012 at 09:52:15AM +0000, Dong Aisheng-B29396 wrote:

> > IIRC for line-in record, it may also need VAG_POWER up.
> > Then only enable VAG_POWER for mic_bias_event may not be sufficient.
> > Will verify it latter when I'm free.

> This patch only fixes MIC.  I think you can submit another patch after
> you confirm LINE-IN has the same issue.

I think this is a sensible approach, two patches fixing two issues seems
reasonable (and I'd not expect line input to need the mic bias itself).
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 836 bytes
Desc: Digital signature
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20120328/2c19f2ec/attachment.sig>